## cargo 0.60.0ubuntu1

=== debian/changelog ===
cargo (0.60.0ubuntu1-0ubuntu3) kinetic; urgency=medium

  Cherry-picked from Debian 0.57 branch for autopkgtests:
  * Add an autopkgtest for cargo to build itself
  * Disable cross-build tests in autopkgtests

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 22 Jun 2022 09:32:05 +0200

cargo (0.60.0ubuntu1-0ubuntu2) kinetic; urgency=medium

  * Cherry pick from Debian: Fix debian cargo wrapper to stop looking 
    for subcommands once it finds one so that it is possible to test 
    features whose name matches a subcommand.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Jun 2022 23:08:57 +0000

cargo (0.60.0ubuntu1-0ubuntu1) kinetic; urgency=medium

  * Add an explicit mechanism to customize the vendoring process
  * New upstream release:
    - d/copyright: exclude the vendored benchmark workspaces
    - d/copyright: Document new vendored crates
    - d/p/{filetime-pr-75, libc-pr-2642}.patch: deleted, merged upstream

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 08 Jun 2022 10:41:56 +0200
