=== debian/tests/control ===
Tests: self-build
Restrictions: rw-build-tree, allow-stderr
Depends: @builddeps@
