## cargo 0.60.0ubuntu2

=== debian/changelog ===
cargo (0.60.0ubuntu2-0ubuntu2) kinetic; urgency=medium

  * d/control: add the XS-Vendored-Sources-Rust field (LP: #1987640)
    This allows precise tracking of vendored sources.
  * d/rules, d/control: use dh-cargo's dh-cargo-vendored-sources script.
    This ensure that the vendoring information stays up-to-date by failing
    early in the build in case of obsolete info.

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 25 Aug 2022 18:51:24 +0200

cargo (0.60.0ubuntu2-0ubuntu1) kinetic; urgency=medium

  * Remove the embedded libgit2 C library from vendored tarball,
    using the system one instead
  * d/copyright: remove a *lot* of obsolete entries
  * d/p/remove-badges.patch: remove badges from documentation for privacy
    reasons
  * d/p/proxy-skip-tests.patch: skip a test when there's a proxy configured
    to accommodate Ubuntu autopkgtest setup

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 24 Jun 2022 11:17:27 +0200
