=== debian/control ===
Source: cargo
Section: devel
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders: Luca Bruno <lucab@debian.org>,
 Angus Lees <gus@debian.org>,
 Ximin Luo <infinity0@debian.org>,
 Vasudev Kamath <vasudev@copyninja.info>
Priority: optional
# :native annotations are to support cross-compiling, see README.Debian of rustc
Build-Depends:
 debhelper (>= 12~),
 dpkg-dev (>= 1.17.14),
 dh-cargo (>= 28ubuntu1~),
 cargo:native    (>= 0.17.0),
 rustc:native    (>= 1.16),
 libstd-rust-dev (>= 1.16),
 pkg-config,
 cmake,
 bash-completion,
 python3:native,
 libcurl4-gnutls-dev | libcurl4-openssl-dev,
 libssh2-1-dev,
 libgit2-dev (>= 1.3.0),
 libgit2-dev (<< 1.4~~),
 libhttp-parser-dev,
 libssl-dev,
 zlib1g-dev,
 git <!nocheck>
Homepage: https://crates.io/
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
Vcs-Browser: https://salsa.debian.org/rust-team/cargo
XS-Vendored-Sources-Rust: adler@1.0.2, aho-corasick@0.7.18, ansi_term@0.12.1, anyhow@1.0.56, arrayvec@0.5.2, atty@0.2.14, autocfg@1.1.0, bitflags@1.3.2, bitmaps@2.1.0, bstr@0.2.17, bytesize@1.1.0, cc@1.0.73, cfg-if@1.0.0, clap@2.34.0, commoncrypto-sys@0.2.0, commoncrypto@0.2.0, core-foundation-sys@0.8.3, core-foundation@0.9.3, crc32fast@1.3.2, crossbeam-utils@0.8.8, crypto-hash@0.3.4, curl-sys@0.4.53+curl-7.82.0, curl@0.4.43, either@1.6.1, env_logger@0.7.1, env_logger@0.9.0, fastrand@1.7.0, filetime@0.2.16, flate2@1.0.23, fnv@1.0.7, foreign-types-shared@0.1.1, foreign-types@0.3.2, form_urlencoded@1.0.1, fwdansi@1.1.0, git2-curl@0.14.1, git2@0.13.25, glob@0.3.0, globset@0.4.8, hermit-abi@0.1.19, hex@0.4.3, home@0.5.3, humantime@1.3.0, humantime@2.1.0, idna@0.2.3, ignore@0.4.18, im-rc@15.0.0, itertools@0.10.3, itoa@1.0.1, jobserver@0.1.24, lazy_static@1.4.0, lazycell@1.3.0, libc@0.2.124, libgit2-sys@0.12.26+1.3.0, libnghttp2-sys@0.1.7+1.45.0, libssh2-sys@0.2.23, libz-sys@1.1.5, log@0.4.16, matches@0.1.9, memchr@2.4.1, miniz_oxide@0.5.1, miow@0.3.7, num_cpus@1.13.1, once_cell@1.10.0, opener@0.5.0, openssl-probe@0.1.5, openssl-sys@0.9.72, openssl@0.10.38, os_info@3.2.0, percent-encoding@2.1.0, pkg-config@0.3.25, pretty_env_logger@0.4.0, proc-macro2@1.0.37, quick-error@1.2.3, quote@1.0.18, rand_core@0.5.1, rand_xoshiro@0.4.0, redox_syscall@0.2.13, regex-automata@0.1.10, regex-syntax@0.6.25, regex@1.5.5, remove_dir_all@0.5.3, rustc-workspace-hack@1.0.0, rustfix@0.6.0, ryu@1.0.9, same-file@1.0.6, schannel@0.1.19, semver@1.0.7, serde@1.0.136, serde_derive@1.0.136, serde_ignored@0.1.2, serde_json@1.0.79, shell-escape@0.1.5, sized-chunks@0.6.5, socket2@0.4.4, strip-ansi-escapes@0.1.1, strsim@0.8.0, syn@1.0.91, tar@0.4.38, tempfile@3.3.0, termcolor@1.1.3, textwrap@0.11.0, thread_local@1.1.4, tinyvec@1.5.1, tinyvec_macros@0.1.0, toml@0.5.9, typenum@1.15.0, unicode-bidi@0.3.7, unicode-normalization@0.1.19, unicode-width@0.1.9, unicode-xid@0.2.2, url@2.2.2, utf8parse@0.2.0, vcpkg@0.2.15, vec_map@0.8.2, version_check@0.9.4, vte@0.10.1, vte_generate_state_changes@0.1.1, walkdir@2.3.2, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.5, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9

Package: cargo
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
         rustc (>= 1.24),
         binutils,
         gcc | clang | c-compiler
Suggests: cargo-doc, python3
Description: Rust package manager
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.

Package: cargo-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}
Description: Rust package manager, documentation
 Cargo is a tool that allows Rust projects to declare their various
 dependencies, and ensure that you'll always get a repeatable build.
 .
 To accomplish this goal, Cargo does four things:
  * Introduces two metadata files with various bits of project information.
  * Fetches and builds your project's dependencies.
  * Invokes rustc or another build tool with the correct parameters to build
    your project.
  * Introduces conventions, making working with Rust projects easier.
 .
 Cargo downloads your Rust project’s dependencies and compiles your
 project.
 .
 This package contains the documentation.

# TODO: add a cargo-src package
