## cargo 0.62.0ubuntu0libgit2

=== debian/changelog ===
cargo (0.62.0ubuntu0libgit2-0ubuntu0.22.04.1) jammy; urgency=medium

  * Backport to Jammy (LP: #1986648)
  * Re-enable libgit2 vendoring
    - d/control: remove libgit2-dev and libhttp-parser-dev from B-D

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 19 Sep 2022 14:58:00 +0200

cargo (0.62.0ubuntu1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (LP: #1986648)
  * d/p/i386-crossbuild-tests.patch: disable some failing tests for
    cross-building from i386

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 08 Sep 2022 11:44:51 +0200
