## cargo 0.63.1

=== debian/changelog ===
cargo (0.63.1-3) unstable; urgency=medium

  * workaround armel breakage

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Wed, 07 Dec 2022 14:58:58 +0100

cargo (0.63.1-2) unstable; urgency=medium

  [ Ryan Gonzalez ]
  * Fix path remapping for crate dependencies

  [ Fabian Grünbichler ]
  * disable utf-8 fs-specific test
  * fix i386 build / cross tests

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Sat, 19 Nov 2022 10:48:29 +0100

cargo (0.63.1-1) unstable; urgency=medium

  * New upstream release
  * switch to libgit2-1.5 (Closes: #1021504, #1017828)
  * Update guess-crate-copyright to handle missing authors field gracefully
  * Update audit-vendor-source to handle ZFS and similar file systems
  * silence GZIP deprecation warning
  * fix CVE-2022-36113/CVE-2022-36114 (Closes: #1021142)

  [ Helmut Grohne ]
  * Fix FTCBFS: Missing Build-Depends: zlib1g-dev:native. (Closes: #1019491)

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Sat, 17 Sep 2022 22:25:02 +0200
