=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: cargo
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
  Ximin Luo <infinity0@debian.org>,
@@ -15,16 +14,16 @@
  rustc:native    (>= 1.16),
  libstd-rust-dev (>= 1.16),
  pkg-config,
- cmake,
  bash-completion,
  python3:native,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
- libgit2-dev (>= 1.3.0),
- libgit2-dev (<< 1.4~~),
+ libgit2-dev (>= 1.5.0),
+ libgit2-dev (<< 1.6~~),
  libhttp-parser-dev,
  libssl-dev,
  zlib1g-dev,
+ zlib1g-dev:native,
  git <!nocheck>
 Homepage: https://crates.io/
 Standards-Version: 4.2.1
