## cargo 0.64.0ubuntu0.libgit2-0ubuntu0.18.04+9.0trisquel0

=== debian/changelog ===
cargo (0.64.0ubuntu0.libgit2-0ubuntu0.18.04+9.0trisquel0) etiona-backports; urgency=medium

  * Import as dependency of newer abrowser deb dependencies.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 22 Dec 2022 18:41:24 +0000

cargo (0.64.0ubuntu0.libgit2-0ubuntu0.18.04) bionic; urgency=medium

  * Backport to bionic (LP: #1995096)
    - downgrade the dh compat level
  * Re-vendor libgit2 C lib and revert associated patch
  * d/rules: Remove the vendored sources tracking code since deps
    aren't available

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 01 Dec 2022 15:28:21 +0100

cargo (0.64.0ubuntu1-0ubuntu1) lunar; urgency=medium

  * New upstream release (LP: #1995096):
    - Update vendored sources info
  * Bump the libgit2-related crates to get libgit2 1.5.0 bindings
  * make_orig_multi.sh: only use xz for vendor orig tarball on Ubuntu

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 29 Nov 2022 15:05:19 +0100

cargo (0.63.1-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable.
    Remaining changes:
    - Add an explicit mechanism to customize the vendoring process
    - d/p/proxy-skip-tests.patch: skip a test when there's a proxy configured
      to accomodate Ubuntu autopkgtest setup
    - d/p/i386-crossbuild-tests.patch: disable some failing tests for
      cross-building from i386
    - d/p/remove-badges.patch: remove badges from documentation for privacy
      reasons
    - autopkgtests: test on all arches on Ubuntu
    - d/control: update the Vcs fields to point to Launchpad
    - make_orig_multi.sh: fix orig tarball compression to xz on Ubuntu
    - Track vendored dependencies

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 25 Nov 2022 16:42:43 +0100

cargo (0.62.0ubuntu1-0ubuntu2) kinetic; urgency=medium

  * d/p/i386-crossbuild-tests.patch: disable some failing tests for
    cross-building from i386

 -- Simon Chopin <schopin@ubuntu.com>  Mon, 19 Sep 2022 14:59:42 +0200
