=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: cargo
 Section: devel
-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
  Ximin Luo <infinity0@debian.org>,
@@ -8,7 +9,7 @@
 Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends:
- debhelper (>= 12~),
+ debhelper (>= 11~),
  dpkg-dev (>= 1.17.14),
  cargo:native    (>= 0.17.0),
  rustc:native    (>= 1.16),
@@ -18,17 +19,17 @@
  python3:native,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
- libgit2-dev (>= 1.5.0),
- libgit2-dev (<< 1.6~~),
- libhttp-parser-dev,
  libssl-dev,
  zlib1g-dev,
  zlib1g-dev:native,
  git <!nocheck>
 Homepage: https://crates.io/
 Standards-Version: 4.2.1
-Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
-Vcs-Browser: https://salsa.debian.org/rust-team/cargo
+XSBC-Original-Vcs-Git: https://salsa.debian.org/rust-team/cargo.git
+XSBC-Original-Vcs-Browser: https://salsa.debian.org/rust-team/cargo
+Vcs-Git: https://git.launchpad.net/~canonical-foundations/ubuntu/+source/cargo
+Vcs-Browser: https://git.launchpad.net/~canonical-foundations/ubuntu/+source/cargo
+XS-Vendored-Sources-Rust: adler@1.0.2, aho-corasick@0.7.20, anyhow@1.0.66, arrayvec@0.5.2, atty@0.2.14, autocfg@1.1.0, bitflags@1.3.2, bitmaps@2.1.0, bstr@0.2.17, bytes@1.3.0, bytesize@1.1.0, cc@1.0.77, cfg-if@1.0.0, clap@3.2.23, clap_lex@0.2.4, combine@4.6.6, commoncrypto-sys@0.2.0, commoncrypto@0.2.0, concolor-query@0.0.5, concolor@0.0.8, content_inspector@0.2.4, core-foundation-sys@0.8.3, core-foundation@0.9.3, crc32fast@1.3.2, crossbeam-utils@0.8.14, crypto-hash@0.3.4, curl-sys@0.4.59+curl-7.86.0, curl@0.4.44, dunce@1.0.3, either@1.8.0, env_logger@0.7.1, env_logger@0.9.3, fastrand@1.8.0, filetime@0.2.18, flate2@1.0.25, fnv@1.0.7, foreign-types-shared@0.1.1, foreign-types@0.3.2, form_urlencoded@1.1.0, fwdansi@1.1.0, git2-curl@0.15.0, git2@0.14.4, glob@0.3.0, globset@0.4.9, hashbrown@0.12.3, hex@0.4.3, home@0.5.4, humantime@1.3.0, humantime@2.1.0, idna@0.3.0, ignore@0.4.18, im-rc@15.1.0, indexmap@1.9.2, itertools@0.10.5, itoa@1.0.4, jobserver@0.1.25, kstring@2.0.0, lazy_static@1.4.0, lazycell@1.3.0, libc@0.2.137, libgit2-sys@0.13.4+1.4.2, libnghttp2-sys@0.1.7+1.45.0, libssh2-sys@0.2.23, libz-sys@1.1.8, log@0.4.17, memchr@2.5.0, miniz_oxide@0.6.2, miow@0.3.7, normalize-line-endings@0.3.0, num_cpus@1.14.0, once_cell@1.16.0, opener@0.5.0, openssl-macros@0.1.0, openssl-probe@0.1.5, openssl-sys@0.9.78, openssl@0.10.43, os_info@3.5.1, os_str_bytes@6.4.1, pathdiff@0.2.1, percent-encoding@2.2.0, pkg-config@0.3.26, pretty_env_logger@0.4.0, proc-macro2@1.0.47, quick-error@1.2.3, quote@1.0.21, rand_core@0.6.4, rand_xoshiro@0.6.0, redox_syscall@0.2.16, regex-automata@0.1.10, regex-syntax@0.6.28, regex@1.7.0, remove_dir_all@0.5.3, rustc-workspace-hack@1.0.0, rustfix@0.6.1, ryu@1.0.11, same-file@1.0.6, semver@1.0.14, serde@1.0.148, serde_derive@1.0.148, serde_ignored@0.1.5, serde_json@1.0.89, shell-escape@0.1.5, similar@2.2.1, sized-chunks@0.6.5, snapbox-macros@0.2.1, snapbox@0.2.10, socket2@0.4.7, static_assertions@1.1.0, strip-ansi-escapes@0.1.1, strsim@0.10.0, syn@1.0.104, tar@0.4.38, tempfile@3.3.0, termcolor@1.1.3, textwrap@0.16.0, thread_local@1.1.4, tinyvec@1.6.0, tinyvec_macros@0.1.0, toml_edit@0.14.4, typenum@1.15.0, unicode-bidi@0.3.8, unicode-ident@1.0.5, unicode-normalization@0.1.22, unicode-width@0.1.10, unicode-xid@0.2.4, url@2.3.1, utf8parse@0.2.0, vcpkg@0.2.15, version_check@0.9.4, vte@0.10.1, vte_generate_state_changes@0.1.1, walkdir@2.3.2, winapi-i686-pc-windows-gnu@0.4.0, winapi-util@0.1.5, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, yansi@0.5.1
 
 Package: cargo
 Architecture: any
