## cargo 0.64.0ubuntu0.libgit2-0ubuntu0.20.04+10.0trisquel0

=== debian/changelog ===
cargo (0.64.0ubuntu0.libgit2-0ubuntu0.20.04+10.0trisquel0) nabia-backports; urgency=medium

  * Import as dependency of newer abrowser deb dependencies.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 22 Dec 2022 13:58:30 +0000

cargo (0.64.0ubuntu0.libgit2-0ubuntu0.20.04) focal; urgency=medium

  * Backport to focal (LP: #1995096)
  * Re-vendor libgit2 C lib and revert associated patch
  * d/rules: Remove the vendored sources tracking code since deps
    aren't available

 -- Simon Chopin <schopin@ubuntu.com>  Thu, 01 Dec 2022 15:14:22 +0100
