=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 12~),
  dpkg-dev (>= 1.17.14),
  cargo:native    (>= 0.17.0),
  rustc:native    (>= 1.16),
