## cargo 0.66.0%2Bds0ubuntu0.libgit2-0ubuntu0.18.04%2B9.0trisquel0

=== debian/changelog ===
cargo (0.66.0+ds0ubuntu0.libgit2-0ubuntu0.18.04+9.0trisquel0) etiona-backports; urgency=medium

  * Import as dependency of newer abrowser deb dependencies.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 25 Jan 2023 18:39:16 +0000

cargo (0.66.0+ds0ubuntu0.libgit2-0ubuntu0.18.04) bionic; urgency=medium

  * Backport to Bionic (LP: #2000839)
  * Re-enable libgit2 vendoring:
    - d/control: remove libgit2-dev and libhttp-parser-dev from B-D
    - include Rust provided patches to fix CVE-2022-46176
  * Remove the need of dh-cargo
  * Downgrade the debhelper requirements

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 18 Jan 2023 13:42:34 -0700

cargo (0.66.0+ds1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #2000839):
    Remaining changes:
    - Add an explicit mechanism to customize the vendoring process
    - d/p/proxy-skip-tests.patch: skip a test when there's a proxy configured
      to accommodate Ubuntu autopkgtest setup
    - d/p/i386-crossbuild-tests.patch: disable some failing tests for
      cross-building from i386
    - d/p/remove-badges.patch: remove badges from documentation for privacy
      reasons (refreshed)
    - autopkgtests: test on all arches on Ubuntu
    - d/control: update the Vcs fields to point to Launchpad
    - make_orig_multi.sh: fix orig tarball compression to xz on Ubuntu
    - Track vendored dependencies
    - Bump the libgit2-related crates to get libgit2 1.5.0 bindings
    - make_orig_multi.sh: only use xz for vendor orig tarball on Ubuntu
  * Update vendored sources information

 -- Simon Chopin <schopin@ubuntu.com>  Tue, 17 Jan 2023 14:48:37 +0100

cargo (0.66.0+ds1-1) unstable; urgency=medium

  [ Fabian Grünbichler ]
  * fix CVE-2022-46176 (Thanks Peter Green!)
  * repack vendored sources with required libgit2-sys/git2/git2-curl versions
  * update unsuspicious files

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Wed, 11 Jan 2023 18:55:09 +0100

cargo (0.66.0-1) unstable; urgency=medium

  * new upstream version 0.66

  [ Blair Noctis ]
  * Update debcargo-conf.patch, unapply tempfile patch to match vendored
  * Refresh patches and remove upstream applied CVE patches
  * Patch test macro to work around qemu vfork bug when command not found

  [ Fabian Grünbichler ]
  * no longer pin git2/libgit2-sys
  * update debcargo-conf.patch (concolor, clap)
  * update unsuspicious files
  * d/control: depend on rustc 1.63
  * drop armel workaround

  [ Rob Shearman ]
  * d/control: update minimum cargo, rustc and libstd-rust-dev versions

 -- Fabian Gruenbichler <debian@fabian.gruenbichler.email>  Sun, 08 Jan 2023 16:38:30 +0100
