## cargo 0.66.0%2Bds0ubuntu0.libgit2-0ubuntu0.20.04%2B10.0trisquel0

=== debian/changelog ===
cargo (0.66.0+ds0ubuntu0.libgit2-0ubuntu0.20.04+10.0trisquel0) nabia-backports; urgency=medium

  * Import as dependency of newer abrowser deb dependencies.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 25 Jan 2023 18:39:52 +0000

cargo (0.66.0+ds0ubuntu0.libgit2-0ubuntu0.20.04) focal; urgency=medium

  * Backport to Focal (LP: #2000839)
  * Re-enable libgit2 vendoring:
    - d/control: remove libgit2-dev and libhttp-parser-dev from B-D
    - include Rust provided patches to fix CVE-2022-46176
  * Remove the need of dh-cargo

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 18 Jan 2023 13:42:34 -0700
