=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: cargo
 Section: devel
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>,
@@ -9,7 +9,7 @@
 Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends:
- debhelper (>= 12~),
+ debhelper (>= 11~),
  dpkg-dev (>= 1.17.14),
  cargo:native    (>= 0.56.0),
  rustc:native    (>= 1.63),
