=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,6 @@
 
 override_dh_auto_configure:
 	$(CARGO) prepare-debian $(CURDIR)/vendor
-	CARGO_VENDOR_DIR=$(CURDIR)/vendor /usr/share/cargo/bin/dh-cargo-vendored-sources
 
 override_dh_auto_build-arch:
 	$(CARGO) build
