## cargo 0.66.0+ds1

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,20 @@
 Priority: optional
 # :native annotations are to support cross-compiling, see README.Debian of rustc
 Build-Depends:
- debhelper (>= 11~),
+ debhelper (>= 12~),
  dpkg-dev (>= 1.17.14),
  cargo:native    (>= 0.56.0),
  rustc:native    (>= 1.63),
  libstd-rust-dev (>= 1.63),
+ dh-cargo        (>= 28ubuntu1),
  pkg-config,
  bash-completion,
  python3:native,
  libcurl4-gnutls-dev | libcurl4-openssl-dev,
  libssh2-1-dev,
+ libgit2-dev (>= 1.5.0),
+ libgit2-dev (<< 1.6~~),
+ libhttp-parser-dev,
  libssl-dev,
  zlib1g-dev,
  zlib1g-dev:native,
